> ## Documentation Index
> Fetch the complete documentation index at: https://docs.near.org/llms.txt
> Use this file to discover all available pages before exploring further.

# List Access Keys

> Returns all access keys for a given account.



## OpenAPI

````yaml /openapi.json post /EXPERIMENTAL_view_access_key_list
openapi: 3.0.0
info:
  title: NEAR Protocol JSON RPC API
  version: 1.2.3
servers:
  - url: https://rpc.mainnet.near.org
    description: Mainnet
  - url: https://rpc.testnet.near.org
    description: Testnet
security: []
paths:
  /EXPERIMENTAL_view_access_key_list:
    post:
      summary: List Access Keys
      description: Returns all access keys for a given account.
      operationId: EXPERIMENTAL_view_access_key_list
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/JsonRpcRequest_for_EXPERIMENTAL_view_access_key_list
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/JsonRpcResponse_for_RpcViewAccessKeyListResponse_and_RpcViewAccessKeyListError
components:
  schemas:
    JsonRpcRequest_for_EXPERIMENTAL_view_access_key_list:
      properties:
        id:
          type: string
        jsonrpc:
          type: string
        method:
          enum:
            - EXPERIMENTAL_view_access_key_list
          type: string
        params:
          $ref: '#/components/schemas/RpcViewAccessKeyListRequest'
      required:
        - jsonrpc
        - id
        - params
        - method
      title: JsonRpcRequest_for_EXPERIMENTAL_view_access_key_list
      type: object
    JsonRpcResponse_for_RpcViewAccessKeyListResponse_and_RpcViewAccessKeyListError:
      oneOf:
        - $ref: >-
            #/components/schemas/JsonRpcResponse_for_RpcViewAccessKeyListResponse_and_RpcViewAccessKeyListError_variant0
        - $ref: >-
            #/components/schemas/JsonRpcResponse_for_RpcViewAccessKeyListResponse_and_RpcViewAccessKeyListError_variant1
      properties:
        id:
          type: string
        jsonrpc:
          type: string
      required:
        - jsonrpc
        - id
      title: >-
        JsonRpcResponse_for_RpcViewAccessKeyListResponse_and_RpcViewAccessKeyListError
      type: object
    RpcViewAccessKeyListRequest:
      oneOf:
        - $ref: '#/components/schemas/RpcViewAccessKeyListRequest_variant0'
        - $ref: '#/components/schemas/RpcViewAccessKeyListRequest_variant1'
        - $ref: '#/components/schemas/RpcViewAccessKeyListRequest_variant2'
      properties:
        account_id:
          $ref: '#/components/schemas/AccountId'
      required:
        - account_id
      title: RpcViewAccessKeyListRequest
      type: object
    JsonRpcResponse_for_RpcViewAccessKeyListResponse_and_RpcViewAccessKeyListError_variant0:
      properties:
        result:
          $ref: '#/components/schemas/RpcViewAccessKeyListResponse'
      required:
        - result
      type: object
    JsonRpcResponse_for_RpcViewAccessKeyListResponse_and_RpcViewAccessKeyListError_variant1:
      properties:
        error:
          $ref: '#/components/schemas/ErrorWrapper_for_RpcViewAccessKeyListError'
      required:
        - error
      type: object
    RpcViewAccessKeyListRequest_variant0:
      properties:
        block_id:
          $ref: '#/components/schemas/BlockId'
      required:
        - block_id
      type: object
    RpcViewAccessKeyListRequest_variant1:
      properties:
        finality:
          $ref: '#/components/schemas/Finality'
      required:
        - finality
      type: object
    RpcViewAccessKeyListRequest_variant2:
      properties:
        sync_checkpoint:
          $ref: '#/components/schemas/SyncCheckpoint'
      required:
        - sync_checkpoint
      type: object
    AccountId:
      description: >-
        NEAR Account Identifier.


        This is a unique, syntactically valid, human-readable account identifier
        on the NEAR network.


        [See the crate-level docs for information about
        validation.](index.html#account-id-rules)


        Also see [Error kind precedence](AccountId#error-kind-precedence).


        ## Examples


        ```

        use near_account_id::AccountId;


        let alice: AccountId = "alice.near".parse().unwrap();


        assert!("ƒelicia.near".parse::<AccountId>().is_err()); // (ƒ is not f)

        ```
      title: AccountId
      type: string
    RpcViewAccessKeyListResponse:
      description: Lists access keys
      properties:
        block_hash:
          $ref: '#/components/schemas/CryptoHash'
        block_height:
          format: uint64
          minimum: 0
          type: integer
        keys:
          items:
            $ref: '#/components/schemas/AccessKeyInfoView'
          type: array
      required:
        - keys
        - block_height
        - block_hash
      type: object
    ErrorWrapper_for_RpcViewAccessKeyListError:
      oneOf:
        - $ref: >-
            #/components/schemas/ErrorWrapper_for_RpcViewAccessKeyListError_variant0
        - $ref: >-
            #/components/schemas/ErrorWrapper_for_RpcViewAccessKeyListError_variant1
        - $ref: >-
            #/components/schemas/ErrorWrapper_for_RpcViewAccessKeyListError_variant2
    BlockId:
      anyOf:
        - $ref: '#/components/schemas/BlockId_variant0'
        - $ref: '#/components/schemas/CryptoHash'
    Finality:
      description: Different types of finality.
      enum:
        - optimistic
        - near-final
        - final
      type: string
    SyncCheckpoint:
      enum:
        - genesis
        - earliest_available
      type: string
    CryptoHash:
      type: string
    AccessKeyInfoView:
      description: Describes information about an access key including the public key.
      properties:
        access_key:
          $ref: '#/components/schemas/AccessKeyView'
        public_key:
          $ref: '#/components/schemas/PublicKey'
      required:
        - public_key
        - access_key
      type: object
    ErrorWrapper_for_RpcViewAccessKeyListError_variant0:
      properties:
        cause:
          $ref: '#/components/schemas/RpcRequestValidationErrorKind'
        name:
          enum:
            - REQUEST_VALIDATION_ERROR
          type: string
      required:
        - name
        - cause
      type: object
    ErrorWrapper_for_RpcViewAccessKeyListError_variant1:
      properties:
        cause:
          $ref: '#/components/schemas/RpcViewAccessKeyListError'
        name:
          enum:
            - HANDLER_ERROR
          type: string
      required:
        - name
        - cause
      type: object
    ErrorWrapper_for_RpcViewAccessKeyListError_variant2:
      properties:
        cause:
          $ref: '#/components/schemas/InternalError'
        name:
          enum:
            - INTERNAL_ERROR
          type: string
      required:
        - name
        - cause
      type: object
    BlockId_variant0:
      format: uint64
      minimum: 0
      title: block_height
      type: integer
    AccessKeyView:
      description: Describes access key permission scope and nonce.
      properties:
        nonce:
          format: uint64
          minimum: 0
          type: integer
        permission:
          $ref: '#/components/schemas/AccessKeyPermissionView'
      required:
        - nonce
        - permission
      type: object
    PublicKey:
      type: string
    RpcRequestValidationErrorKind:
      oneOf:
        - $ref: '#/components/schemas/RpcRequestValidationErrorKind_variant0'
        - $ref: '#/components/schemas/RpcRequestValidationErrorKind_variant1'
    RpcViewAccessKeyListError:
      oneOf:
        - $ref: '#/components/schemas/RpcViewAccessKeyListError_variant0'
        - $ref: '#/components/schemas/RpcViewAccessKeyListError_variant1'
        - $ref: '#/components/schemas/RpcViewAccessKeyListError_variant2'
        - $ref: '#/components/schemas/RpcViewAccessKeyListError_variant3'
    InternalError:
      oneOf:
        - $ref: '#/components/schemas/InternalError_variant0'
    AccessKeyPermissionView:
      description: >-
        Describes the permission scope for an access key. Whether it is a
        function call or a full access key.
      anyOf:
        - $ref: '#/components/schemas/AccessKeyPermissionView_variant0'
        - $ref: '#/components/schemas/AccessKeyPermissionView_variant1'
        - $ref: '#/components/schemas/AccessKeyPermissionView_variant2'
        - $ref: '#/components/schemas/AccessKeyPermissionView_variant3'
    RpcRequestValidationErrorKind_variant0:
      properties:
        info:
          properties:
            method_name:
              type: string
          required:
            - method_name
          type: object
        name:
          enum:
            - METHOD_NOT_FOUND
          type: string
      required:
        - name
        - info
      type: object
    RpcRequestValidationErrorKind_variant1:
      properties:
        info:
          properties:
            error_message:
              type: string
          required:
            - error_message
          type: object
        name:
          enum:
            - PARSE_ERROR
          type: string
      required:
        - name
        - info
      type: object
    RpcViewAccessKeyListError_variant0:
      properties:
        info:
          properties:
            block_reference:
              $ref: '#/components/schemas/BlockReference'
          required:
            - block_reference
          type: object
        name:
          enum:
            - UNKNOWN_BLOCK
          type: string
      required:
        - name
        - info
      type: object
    RpcViewAccessKeyListError_variant1:
      properties:
        info:
          properties:
            block_hash:
              $ref: '#/components/schemas/CryptoHash'
            block_height:
              format: uint64
              minimum: 0
              type: integer
            requested_account_id:
              $ref: '#/components/schemas/AccountId'
          required:
            - requested_account_id
            - block_height
            - block_hash
          type: object
        name:
          enum:
            - INVALID_ACCOUNT
          type: string
      required:
        - name
        - info
      type: object
    RpcViewAccessKeyListError_variant2:
      properties:
        info:
          properties:
            block_hash:
              $ref: '#/components/schemas/CryptoHash'
            block_height:
              format: uint64
              minimum: 0
              type: integer
            requested_account_id:
              $ref: '#/components/schemas/AccountId'
          required:
            - requested_account_id
            - block_height
            - block_hash
          type: object
        name:
          enum:
            - UNKNOWN_ACCOUNT
          type: string
      required:
        - name
        - info
      type: object
    RpcViewAccessKeyListError_variant3:
      properties:
        info:
          properties:
            error_message:
              type: string
          required:
            - error_message
          type: object
        name:
          enum:
            - INTERNAL_ERROR
          type: string
      required:
        - name
        - info
      type: object
    InternalError_variant0:
      properties:
        info:
          properties:
            error_message:
              type: string
          required:
            - error_message
          type: object
        name:
          enum:
            - INTERNAL_ERROR
          type: string
      required:
        - name
        - info
      type: object
    AccessKeyPermissionView_variant0:
      enum:
        - FullAccess
      type: string
    AccessKeyPermissionView_variant1:
      additionalProperties: false
      properties:
        FunctionCall:
          properties:
            allowance:
              anyOf:
                - $ref: '#/components/schemas/NearToken'
                - enum:
                    - null
                  nullable: true
            method_names:
              items:
                type: string
              type: array
            receiver_id:
              type: string
          required:
            - receiver_id
            - method_names
          type: object
      required:
        - FunctionCall
      type: object
    AccessKeyPermissionView_variant2:
      additionalProperties: false
      properties:
        GasKeyFunctionCall:
          properties:
            allowance:
              anyOf:
                - $ref: '#/components/schemas/NearToken'
                - enum:
                    - null
                  nullable: true
            balance:
              $ref: '#/components/schemas/NearToken'
            method_names:
              items:
                type: string
              type: array
            num_nonces:
              format: uint16
              maximum: 65535
              minimum: 0
              type: integer
            receiver_id:
              type: string
          required:
            - balance
            - num_nonces
            - receiver_id
            - method_names
          type: object
      required:
        - GasKeyFunctionCall
      type: object
    AccessKeyPermissionView_variant3:
      additionalProperties: false
      properties:
        GasKeyFullAccess:
          properties:
            balance:
              $ref: '#/components/schemas/NearToken'
            num_nonces:
              format: uint16
              maximum: 65535
              minimum: 0
              type: integer
          required:
            - balance
            - num_nonces
          type: object
      required:
        - GasKeyFullAccess
      type: object
    BlockReference:
      oneOf:
        - $ref: '#/components/schemas/BlockReference_variant0'
        - $ref: '#/components/schemas/BlockReference_variant1'
        - $ref: '#/components/schemas/BlockReference_variant2'
    NearToken:
      type: string
    BlockReference_variant0:
      additionalProperties: false
      properties:
        block_id:
          $ref: '#/components/schemas/BlockId'
      required:
        - block_id
      type: object
    BlockReference_variant1:
      additionalProperties: false
      properties:
        finality:
          $ref: '#/components/schemas/Finality'
      required:
        - finality
      type: object
    BlockReference_variant2:
      additionalProperties: false
      properties:
        sync_checkpoint:
          $ref: '#/components/schemas/SyncCheckpoint'
      required:
        - sync_checkpoint
      type: object

````